FAQ# MTN-7LJJCD Published: 10/15/2010

Question:How is it possible to resolve the "Controller Firmware Library does not match Project Library" error?
Answer:This message indicates that the PLCopenPlus (or YMotion) firmware library in the project is not compatible with the firmware version in the target MPiec controller. The firmware library in the project and/or the firmware on the controller may require an update. The latest firmware libraries, along with release notes, can be found on the MPiec Firmware History page at www.yaskawa.com/iecfw.

Product Information:

Product Group:Motion
Product:MotionWorks IEC, MP2000iec Series, MP2300Siec, MP2310iec, MP2600iec, MP3200iec
Applications:
Category:Programming; Troubleshooting
Part/Model#: MotionWorks IEC, MotionWorks IEC Pro, MP2300Siec, MP2310iec, MP2600iec

Other Information:

Link to related files:

SAFETY PRECAUTIONS AND INSTRUCTIONS FOR USE OF FAQ INFORMATION!
Please read and understand the product instruction manual before installing, servicing or operating Yaskawa products. FAQ content and illustrations are provided as technical advice to augment the information in manual, not superceed it. It is not possible to give detailed instructions for all types of installation or support activities. The information described in the FAQs are subject to change without notice to improve the product or FAQ. Yaskawa assumes no responsibility for errors or omissions or damages resulting from the use of the information contained in any FAQ. All warnings, cautions and product instruction for product use must be followed. Installation, operation and maintenance should be carried out by qualified personnel. Failure to observe these and other precautions highlighted in the product manuals will expose the user to high voltages resulting in, serious injury or death. Qualified personnel are defined as individuals who are familiar with the installation, starting, operation and maintenance of Yaskawa products of the type described and have proper qualifications to perform the work.